{
  description = "reciproka-ops deployment";

  inputs = {
    colmena.url = "github:zhaofengli/colmena/?ref=v0.4.0";
    ragenix = {
      url = "github:yaxitech/ragenix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    hakyll-skeleton = {
      flake = false;
      url = git+https://reciproka.dev/reciproka/hakyll-skeleton/?ref=consensus;
    };
    reciproka-web = {
      flake = false;
      url = git+https://reciproka.dev/reciproka/reciproka-web/?ref=consensus;
    };
    resrok-web = {
      flake = false;
      url = git+https://reciproka.dev/resrok/resrok-web/?ref=consensus;
    };
    nix.url = github:NixOS/nix/?ref=2.24.6;
    nixpkgs.url = github:NixOS/nixpkgs/?ref=nixos-24.05;
    nixpkgsUnstable.url = github:NixOS/nixpkgs/?ref=nixos-unstable;
    utils.url = "github:numtide/flake-utils";
    voc-web = {
      flake = false;
      url = git+https://reciproka.dev/voc/voc-web/?ref=consensus;
    };
  };

  outputs = {...} @ args: import ./outputs.nix args;
}
